<form method="get" action="#{url _url /}" id="sortingForm">
    <input type="hidden" name="attr" value="">
    <input type="hidden" name="order" value="">
</form>
<style>
    th {padding-right: 5px !important;}
</style>
#{set 'sortingScript'}
<script>
    var getUrlParameter = function getUrlParameter(sParam) {
        var sPageURL = window.location.search.substring(1),
                sURLVariables = sPageURL.split('&'),
                sParameterName,
                i;

        for (i = 0; i < sURLVariables.length; i++) {
            sParameterName = sURLVariables[i].split('=');

            if (sParameterName[0] === sParam) {
                return sParameterName[1] === undefined ? true : decodeURIComponent(sParameterName[1]);
            }
        }
    };

    $('th')
            .each(function () {
                $(this).addClass("sorting").append("<i class='right-floated sort icon'></i>");
                var attr = getUrlParameter("attr");
                var order = getUrlParameter("order");
                if (attr == $(this).attr("data-attr")) {
                    $(this).attr("data-order", order);
                    if (order == "asc") {
                        $(this).children("i.right-floated.sort.icon").addClass("up");
                    } else {
                        $(this).children("i.right-floated.sort.icon").addClass("down");
                    }
                }
            });
    $('th')
            .click(function () {
                var attr = $(this).attr("data-attr");
                var checkOrder = $(this).attr("data-order");
                if (typeof (checkOrder) === "undefined") {
                    $(this).attr("data-order", "desc");
                } else if (checkOrder === "asc") {
                    $(this).attr("data-order", "desc");
                } else if (checkOrder === "desc") {
                    $(this).attr("data-order", "asc");
                }
                var order = $(this).attr("data-order");
                if (order === "asc") {
                    $(this).parent().find("i.right-floated.sort.icon").removeClass("up").removeClass("down");
                    $(this).children("i.right-floated.sort.icon").addClass("up");
                } else if (order === "desc") {
                    $(this).parent().find("i.right-floated.sort.icon").removeClass("up").removeClass("down");
                    $(this).children("i.right-floated.sort.icon").addClass("down");
                }
                $("input[name=attr]").val(attr);
                $("input[name=order]").val(order);
                $("#sortingForm").submit();
            });
</script>
#{/set}